Generate a terms of service token | Moov Documentation
Generate a terms of service token
Terms of service Drop
Use Moov.js Drops as an alternative to the API. Drops are customizable, pre-built UI components with error handling and secure PII data collection.
View pre-built Moov.js UI
Generates a non-expiring token that can then be used to accept Moov's terms of service.
This token can only be generated via API. Any Moov account requesting the collect funds, send funds, wallet, or card issuing capabilities must accept Moov's terms of service, then have the generated terms of service token patched to the account. Read more in our documentation.
GET
/tos-token
Ask
curl -X GET "https://api.moov.io/tos-token" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
mc.AccountCreationToken(ctx)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.accounts.getTermsOfServiceToken({});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\